org.bouncycastle.asn1.isismtt.x509

## Class ProfessionInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.isismtt.x509.ProfessionInfo

All Implemented Interfaces:
  DEREncodable

    public class ProfessionInfo
    extends ASN1Encodable

Professions, specializations, disciplines, fields of activity, etc.

                   ProfessionInfo ::= SEQUENCE
                   {
                     namingAuthority [0] EXPLICIT NamingAuthority OPTIONAL,
                     professionItems SEQUENCE OF DirectoryString (SIZE(1..128)),
                     professionOIDs SEQUENCE OF OBJECT IDENTIFIER OPTIONAL,
                     registrationNumber PrintableString(SIZE(1..128)) OPTIONAL,
                     addProfessionInfo OCTET STRING OPTIONAL
                   }

See Also:
  `AdmissionSyntax`

### Field Summary

Fields
`static DERObjectIdentifier` `Notar` Notar
`static DERObjectIdentifier` `Notariatsverwalter` Notariatsverwalter
`static DERObjectIdentifier` `Notariatsverwalterin` Notariatsverwalterin
`static DERObjectIdentifier` `Notarin` Notarin
`static DERObjectIdentifier` `Notarvertreter` Notarvertreter
`static DERObjectIdentifier` `Notarvertreterin` Notarvertreterin
`static DERObjectIdentifier` `Patentanwalt` Patentanwalt
`static DERObjectIdentifier` `Patentanwltin` Patentanw�ltin
`static DERObjectIdentifier` `Rechtsanwalt` Rechtsanwalt
`static DERObjectIdentifier` `Rechtsanwltin` Rechtsanw�ltin
`static DERObjectIdentifier` `Rechtsbeistand` Rechtsbeistand
`static DERObjectIdentifier` `Steuerberater` Steuerberater
`static DERObjectIdentifier` `Steuerberaterin` Steuerberaterin
`static DERObjectIdentifier` `Steuerbevollmchtigte` Steuerbevollm�chtigte
`static DERObjectIdentifier` `Steuerbevollmchtigter` Steuerbevollm�chtigter
`static DERObjectIdentifier` `VereidigteBuchprferin` Vereidigte Buchpr�ferin
`static DERObjectIdentifier` `VereidigterBuchprfer` Vereidigter Buchpr�fer
`static DERObjectIdentifier` `Wirtschaftsprfer` Wirtschaftspr�fer
`static DERObjectIdentifier` `Wirtschaftsprferin` Wirtschaftspr�ferin

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`ProfessionInfo(NamingAuthority namingAuthority, DirectoryString[] professionItems, DERObjectIdentifier[] professionOIDs, java.lang.String registrationNumber, ASN1OctetString addProfessionInfo)` Constructor from given details.

### Method Summary

Methods
`ASN1OctetString` `getAddProfessionInfo()`
`static ProfessionInfo` `getInstance(java.lang.Object obj)`
`NamingAuthority` `getNamingAuthority()`
`DirectoryString[]` `getProfessionItems()`
`DERObjectIdentifier[]` `getProfessionOIDs()`
`java.lang.String` `getRegistrationNumber()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Rechtsanwltin

    public static final DERObjectIdentifier Rechtsanwltin

Rechtsanw�ltin

#### Rechtsanwalt

    public static final DERObjectIdentifier Rechtsanwalt

Rechtsanwalt

#### Rechtsbeistand

    public static final DERObjectIdentifier Rechtsbeistand

Rechtsbeistand

#### Steuerberaterin

    public static final DERObjectIdentifier Steuerberaterin

Steuerberaterin

#### Steuerberater

    public static final DERObjectIdentifier Steuerberater

Steuerberater

#### Steuerbevollmchtigte

    public static final DERObjectIdentifier Steuerbevollmchtigte

Steuerbevollm�chtigte

#### Steuerbevollmchtigter

    public static final DERObjectIdentifier Steuerbevollmchtigter

Steuerbevollm�chtigter

#### Notarin

    public static final DERObjectIdentifier Notarin

Notarin

#### Notar

    public static final DERObjectIdentifier Notar

Notar

#### Notarvertreterin

    public static final DERObjectIdentifier Notarvertreterin

Notarvertreterin

#### Notarvertreter

    public static final DERObjectIdentifier Notarvertreter

Notarvertreter

#### Notariatsverwalterin

    public static final DERObjectIdentifier Notariatsverwalterin

Notariatsverwalterin

#### Notariatsverwalter

    public static final DERObjectIdentifier Notariatsverwalter

Notariatsverwalter

#### Wirtschaftsprferin

    public static final DERObjectIdentifier Wirtschaftsprferin

Wirtschaftspr�ferin

#### Wirtschaftsprfer

    public static final DERObjectIdentifier Wirtschaftsprfer

Wirtschaftspr�fer

#### VereidigteBuchprferin

    public static final DERObjectIdentifier VereidigteBuchprferin

Vereidigte Buchpr�ferin

#### VereidigterBuchprfer

    public static final DERObjectIdentifier VereidigterBuchprfer

Vereidigter Buchpr�fer

#### Patentanwltin

    public static final DERObjectIdentifier Patentanwltin

Patentanw�ltin

#### Patentanwalt

    public static final DERObjectIdentifier Patentanwalt

Patentanwalt

### Constructor Detail

#### ProfessionInfo

    public ProfessionInfo(NamingAuthority namingAuthority,
                  DirectoryString[] professionItems,
                  DERObjectIdentifier[] professionOIDs,
                  java.lang.String registrationNumber,
                  ASN1OctetString addProfessionInfo)

Constructor from given details.

`professionItems` is mandatory, all other parameters are optional.

Parameters:
  `namingAuthority` - The naming authority.
  `professionItems` - Directory strings of the profession.
  `professionOIDs` - DERObjectIdentfier objects for the profession.
  `registrationNumber` - Registration number.
  `addProfessionInfo` - Additional infos in encoded form.

### Method Detail

#### getInstance

    public static ProfessionInfo getInstance(java.lang.Object obj)

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

Returns:

                   ProfessionInfo ::= SEQUENCE
                   {
                     namingAuthority [0] EXPLICIT NamingAuthority OPTIONAL,
                     professionItems SEQUENCE OF DirectoryString (SIZE(1..128)),
                     professionOIDs SEQUENCE OF OBJECT IDENTIFIER OPTIONAL,
                     registrationNumber PrintableString(SIZE(1..128)) OPTIONAL,
                     addProfessionInfo OCTET STRING OPTIONAL
                   }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a DERObject

#### getAddProfessionInfo

    public ASN1OctetString getAddProfessionInfo()

Returns:
  Returns the addProfessionInfo.

#### getNamingAuthority

    public NamingAuthority getNamingAuthority()

Returns:
  Returns the namingAuthority.

#### getProfessionItems

    public DirectoryString[] getProfessionItems()

Returns:
  Returns the professionItems.

#### getProfessionOIDs

    public DERObjectIdentifier[] getProfessionOIDs()

Returns:
  Returns the professionOIDs.

#### getRegistrationNumber

    public java.lang.String getRegistrationNumber()

Returns:
  Returns the registrationNumber.